Page MenuHomePhabricator

Fatal "Managed to lookup EntityId but got an unexpected type for namespace" from Wikibase EntityLinkTargetEntityIdLookup
Closed, ResolvedPublic

Description

Impact

Makes some pages inaccessible that contain these links

Notes

– Quite a few different reproduction paths (see comments)
– very low rate
– should only happen on wikidatawiki and commons, mainly on commons
– should only happen on diff and special pages

Details

Request ID
31e2c14e-bf2b-450f-af30-36d7d9f9ef9d
Request URL
https://commons.wikimedia.org/w/index.php?title=Template_talk:Wikidata_Infobox&action=history&uselang=en
Stack Trace
Wikidata_Infobox&action=history&uselang=en   RuntimeException from line 50 of /srv/mediawiki/php-1.35.0-wmf.36/extensions/Wikibase/lib/includes/Store/EntityLinkTargetEntityIdLookup.php: Managed to lookup EntityId but got an unexpected type for namespace. {"exception_id":"31e2c14e-bf2b-450f-af30-36d7d9f9ef9d","exception_url":"/w/index.php?title=Template_talk:Wikidata_Infobox&action=history&uselang=en","caught_by":"entrypoint"} 
[Exception RuntimeException] (/srv/mediawiki/php-1.35.0-wmf.36/extensions/Wikibase/lib/includes/Store/EntityLinkTargetEntityIdLookup.php:50) Managed to lookup EntityId but got an unexpected type for namespace.
  #0 /srv/mediawiki/php-1.35.0-wmf.36/extensions/Wikibase/repo/includes/Hooks/HtmlPageLinkRendererEndHookHandler.php(237): Wikibase\Lib\Store\EntityLinkTargetEntityIdLookup->getEntityId(Title)
  #1 /srv/mediawiki/php-1.35.0-wmf.36/extensions/Wikibase/repo/includes/Hooks/HtmlPageLinkRendererEndHookHandler.php(161): Wikibase\Repo\Hooks\HtmlPageLinkRendererEndHookHandler->doHtmlPageLinkRendererEnd(MediaWiki\Linker\LinkRenderer, Title, HtmlArmor, array, RequestContext, NULL)
  #2 /srv/mediawiki/php-1.35.0-wmf.36/includes/HookContainer/HookContainer.php(319): Wikibase\Repo\Hooks\HtmlPageLinkRendererEndHookHandler::onHtmlPageLinkRendererEnd(MediaWiki\Linker\LinkRenderer, TitleValue, boolean, HtmlArmor, array, NULL)
  #3 /srv/mediawiki/php-1.35.0-wmf.36/includes/HookContainer/HookContainer.php(131): MediaWiki\HookContainer\HookContainer->callLegacyHook(string, array, array, array)
  #4 /srv/mediawiki/php-1.35.0-wmf.36/includes/HookContainer/HookRunner.php(2035): MediaWiki\HookContainer\HookContainer->run(string, array)
  #5 /srv/mediawiki/php-1.35.0-wmf.36/includes/linker/LinkRenderer.php(396): MediaWiki\HookContainer\HookRunner->onHtmlPageLinkRendererEnd(MediaWiki\Linker\LinkRenderer, TitleValue, boolean, HtmlArmor, array, NULL)
  #6 /srv/mediawiki/php-1.35.0-wmf.36/includes/linker/LinkRenderer.php(303): MediaWiki\Linker\LinkRenderer->buildAElement(TitleValue, HtmlArmor, array, boolean)
  #7 /srv/mediawiki/php-1.35.0-wmf.36/includes/linker/LinkRenderer.php(330): MediaWiki\Linker\LinkRenderer->makePreloadedLink(TitleValue, HtmlArmor, string, array, array)
  #8 /srv/mediawiki/php-1.35.0-wmf.36/includes/linker/LinkRenderer.php(181): MediaWiki\Linker\LinkRenderer->makeKnownLink(TitleValue, HtmlArmor, array, array)
  #9 /srv/mediawiki/php-1.35.0-wmf.36/includes/Linker.php(126): MediaWiki\Linker\LinkRenderer->makeLink(TitleValue, HtmlArmor, array, array)
  #10 /srv/mediawiki/php-1.35.0-wmf.36/includes/Linker.php(1470): Linker::link(TitleValue, string, array, array, array)
  #11 /srv/mediawiki/php-1.35.0-wmf.36/includes/Linker.php(1417): Linker::makeCommentLink(TitleValue, string, NULL)
  #12 [internal function]: Linker::{closure}(array)
  #13 /srv/mediawiki/php-1.35.0-wmf.36/includes/Linker.php(1435): preg_replace_callback(string, Closure, string)
  #14 /srv/mediawiki/php-1.35.0-wmf.36/includes/Linker.php(1209): Linker::formatLinksInComment(string, Title, boolean, NULL)
  #15 /srv/mediawiki/php-1.35.0-wmf.36/includes/Linker.php(1584): Linker::formatComment(string, Title, boolean, NULL)
  #16 /srv/mediawiki/php-1.35.0-wmf.36/includes/Linker.php(1635): Linker::commentBlock(string, Title, boolean, NULL, boolean)
  #17 /srv/mediawiki/php-1.35.0-wmf.36/includes/actions/pagers/HistoryPager.php(432): Linker::revComment(MediaWiki\Revision\RevisionStoreRecord, boolean, boolean, boolean)
  #18 /srv/mediawiki/php-1.35.0-wmf.36/includes/actions/pagers/HistoryPager.php(137): HistoryPager->historyLine(stdClass, stdClass, string, boolean, boolean)
  #19 /srv/mediawiki/php-1.35.0-wmf.36/includes/pager/IndexPager.php(588): HistoryPager->formatRow(stdClass)
  #20 /srv/mediawiki/php-1.35.0-wmf.36/includes/actions/HistoryAction.php(305): IndexPager->getBody()
  #21 /srv/mediawiki/php-1.35.0-wmf.36/includes/actions/FormlessAction.php(43): HistoryAction->onView()
  #22 /srv/mediawiki/php-1.35.0-wmf.36/includes/MediaWiki.php(527): FormlessAction->show()
  #23 /srv/mediawiki/php-1.35.0-wmf.36/includes/MediaWiki.php(313): MediaWiki->performAction(Article, Title)
  #24 /srv/mediawiki/php-1.35.0-wmf.36/includes/MediaWiki.php(986): MediaWiki->performRequest()
  #25 /srv/mediawiki/php-1.35.0-wmf.36/includes/MediaWiki.php(543): MediaWiki->main()
  #26 /srv/mediawiki/php-1.35.0-wmf.36/index.php(47): MediaWiki->run()
  #27 /srv/mediawiki/w/index.php(3): require(string)
  #28 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 10 2020, 9:39 PM
Reedy updated the task description. (Show Details)
Reedy edited Stack Trace. (Show Details)
Restricted Application added a project: Wikidata. · View Herald TranscriptJun 10 2020, 10:06 PM
Addshore added a subscriber: Addshore.

Makes the page history inaccessible (at least logged in; logged-out access seems to work).

Interesting, when logged in for me it seems to work fine

Can be reproduced at https://commons.wikimedia.org/w/index.php?title=Template_talk:Wikidata_Infobox&diff=425355091&oldid=425354764

Managed to lookup EntityId but got an unexpected type for namespace.
#0 /srv/mediawiki/php-1.35.0-wmf.36/extensions/Wikibase/repo/includes/Hooks/HtmlPageLinkRendererEndHookHandler.php(237): Wikibase\Lib\Store\EntityLinkTargetEntityIdLookup->getEntityId(Title)
#1 /srv/mediawiki/php-1.35.0-wmf.36/extensions/Wikibase/repo/includes/Hooks/HtmlPageLinkRendererEndHookHandler.php(161): Wikibase\Repo\Hooks\HtmlPageLinkRendererEndHookHandler->doHtmlPageLinkRendererEnd(MediaWiki\Linker\LinkRenderer, Title, HtmlArmor, array, RequestContext, NULL)
#2 /srv/mediawiki/php-1.35.0-wmf.36/includes/HookContainer/HookContainer.php(319): Wikibase\Repo\Hooks\HtmlPageLinkRendererEndHookHandler::onHtmlPageLinkRendererEnd(MediaWiki\Linker\LinkRenderer, Title, boolean, HtmlArmor, array, NULL)
#3 /srv/mediawiki/php-1.35.0-wmf.36/includes/HookContainer/HookContainer.php(131): MediaWiki\HookContainer\HookContainer->callLegacyHook(string, array, array, array)
#4 /srv/mediawiki/php-1.35.0-wmf.36/includes/HookContainer/HookRunner.php(2035): MediaWiki\HookContainer\HookContainer->run(string, array)
#5 /srv/mediawiki/php-1.35.0-wmf.36/includes/linker/LinkRenderer.php(396): MediaWiki\HookContainer\HookRunner->onHtmlPageLinkRendererEnd(MediaWiki\Linker\LinkRenderer, Title, boolean, HtmlArmor, array, NULL)
#6 /srv/mediawiki/php-1.35.0-wmf.36/includes/linker/LinkRenderer.php(381): MediaWiki\Linker\LinkRenderer->buildAElement(Title, HtmlArmor, array, boolean)
#7 /srv/mediawiki/php-1.35.0-wmf.36/includes/parser/LinkHolderArray.php(303): MediaWiki\Linker\LinkRenderer->makeBrokenLink(Title, HtmlArmor, array, array)
#8 /srv/mediawiki/php-1.35.0-wmf.36/includes/parser/LinkHolderArray.php(178): LinkHolderArray->replaceInternal(string)
#9 /srv/mediawiki/php-1.35.0-wmf.36/includes/parser/Parser.php(4907): LinkHolderArray->replace(string)
#10 /srv/mediawiki/php-1.35.0-wmf.36/includes/parser/Parser.php(1656): Parser->replaceLinkHoldersPrivate(string)
#11 /srv/mediawiki/php-1.35.0-wmf.36/includes/parser/Parser.php(651): Parser->internalParseHalfParsed(string, boolean, boolean)
#12 /srv/mediawiki/php-1.35.0-wmf.36/includes/content/WikitextContent.php(368): Parser->parse(string, Title, ParserOptions, boolean, boolean, integer)
#13 /srv/mediawiki/php-1.35.0-wmf.36/includes/content/AbstractContent.php(565): WikitextContent->fillParserOutput(Title, integer, ParserOptions, boolean, ParserOutput)
#14 /srv/mediawiki/php-1.35.0-wmf.36/includes/Revision/RenderedRevision.php(266): AbstractContent->getParserOutput(Title, integer, ParserOptions, boolean)
#15 /srv/mediawiki/php-1.35.0-wmf.36/includes/Revision/RenderedRevision.php(235): MediaWiki\Revision\RenderedRevision->getSlotParserOutputUncached(WikitextContent, boolean)
#16 /srv/mediawiki/php-1.35.0-wmf.36/includes/Revision/RevisionRenderer.php(215): MediaWiki\Revision\RenderedRevision->getSlotParserOutput(string)
#17 /srv/mediawiki/php-1.35.0-wmf.36/includes/Revision/RevisionRenderer.php(152): MediaWiki\Revision\RevisionRenderer->combineSlotOutput(MediaWiki\Revision\RenderedRevision, array)
#18 [internal function]: MediaWiki\Revision\RevisionRenderer->MediaWiki\Revision\{closure}(MediaWiki\Revision\RenderedRevision, array)
#19 /srv/mediawiki/php-1.35.0-wmf.36/includes/Revision/RenderedRevision.php(197): call_user_func(Closure, MediaWiki\Revision\RenderedRevision, array)
#20 /srv/mediawiki/php-1.35.0-wmf.36/includes/poolcounter/PoolWorkArticleView.php(216): MediaWiki\Revision\RenderedRevision->getRevisionParserOutput()
#21 /srv/mediawiki/php-1.35.0-wmf.36/includes/poolcounter/PoolCounterWork.php(162): PoolWorkArticleView->doWork()
#22 /srv/mediawiki/php-1.35.0-wmf.36/includes/page/WikiPage.php(1273): PoolCounterWork->execute()
#23 /srv/mediawiki/php-1.35.0-wmf.36/includes/diff/DifferenceEngine.php(1065): WikiPage->getParserOutput(ParserOptions, integer)
#24 /srv/mediawiki/php-1.35.0-wmf.36/includes/diff/DifferenceEngine.php(1022): DifferenceEngine->getParserOutput(WikiPage, MediaWiki\Revision\RevisionStoreRecord)
#25 /srv/mediawiki/php-1.35.0-wmf.36/includes/diff/DifferenceEngine.php(850): DifferenceEngine->renderNewRevision()
#26 /srv/mediawiki/php-1.35.0-wmf.36/includes/page/Article.php(976): DifferenceEngine->showDiffPage(boolean)
#27 /srv/mediawiki/php-1.35.0-wmf.36/includes/page/Article.php(657): Article->showDiffPage()
#28 /srv/mediawiki/php-1.35.0-wmf.36/includes/actions/ViewAction.php(74): Article->view()
#29 /srv/mediawiki/php-1.35.0-wmf.36/includes/MediaWiki.php(527): ViewAction->show()
#30 /srv/mediawiki/php-1.35.0-wmf.36/includes/MediaWiki.php(313): MediaWiki->performAction(Article, Title)
#31 /srv/mediawiki/php-1.35.0-wmf.36/includes/MediaWiki.php(986): MediaWiki->performRequest()
#32 /srv/mediawiki/php-1.35.0-wmf.36/includes/MediaWiki.php(543): MediaWiki->main()
#33 /srv/mediawiki/php-1.35.0-wmf.36/index.php(47): MediaWiki->run()
#34 /srv/mediawiki/w/index.php(3): require(string)
#35 {main}

Going to mark as a train blocker as we definitely shouldn't progress tomorrow and should perhaps rollback now even

Addshore triaged this task as Unbreak Now! priority.Jun 10 2020, 10:26 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJun 10 2020, 10:27 PM

Error rate seems fairly low for the last hour so a rollback probably isn't needed, but I wouldn't want to move the train forward without understanding what is happening and why.
Hopefully we can patch this tomorrow.

Change 604523 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] FP: Improve EntityLinkTargetEntityIdLookup exception message

https://gerrit.wikimedia.org/r/604523

Change 604524 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@wmf/1.35.0-wmf.36] FP: Improve EntityLinkTargetEntityIdLookup exception message

https://gerrit.wikimedia.org/r/604524

The patch linked should make it easier to figure out what is happening, but will not fix the problem.

Change 604523 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] FP: Improve EntityLinkTargetEntityIdLookup exception message

https://gerrit.wikimedia.org/r/604523

Change 604524 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.35.0-wmf.36] FP: Improve EntityLinkTargetEntityIdLookup exception message

https://gerrit.wikimedia.org/r/604524

Mentioned in SAL (#wikimedia-operations) [2020-06-11T02:43:40Z] <tstarling@deploy1001> Synchronized php-1.35.0-wmf.36/extensions/Wikibase/lib/includes/Store/EntityLinkTargetEntityIdLookup.php: investigate UBN T255078 (duration: 01m 07s)

There's been two of these exceptions since I deployed the updated message. They were from search rather than a diff. I wasn't able to reproduce it on the diff page.

2020-06-11 03:13:09 [f1269b59-3ea0-4264-8c07-14ebcdd5f303] mw1413 commonswiki 1.35.0-wmf.36 exception ERROR: [f1269b59-3ea0-4264-8c07-14ebcdd5f303] /w/index.php?title=Special:Search&limit=20&offset=0&profile=default&search=p77489   RuntimeException from line 51 of /srv/mediawiki/php-1.35.0-wmf.36/extensions/Wikibase/lib/includes/Store/EntityLinkTargetEntityIdLookup.php: Managed to lookup EntityId 'P77489' but got an unexpected type 'item' for namespace '0'. {"exception_id":"f1269b59-3ea0-4264-8c07-14ebcdd5f303","exception_url":"/w/index.php?title=Special:Search&limit=20&offset=0&profile=default&search=p77489","caught_by":"entrypoint"} 
[Exception RuntimeException] (/srv/mediawiki/php-1.35.0-wmf.36/extensions/Wikibase/lib/includes/Store/EntityLinkTargetEntityIdLookup.php:51) Managed to lookup EntityId 'P77489' but got an unexpected type 'item' for namespace '0'.
  #0 /srv/mediawiki/php-1.35.0-wmf.36/extensions/Wikibase/repo/includes/Hooks/HtmlPageLinkRendererEndHookHandler.php(237): Wikibase\Lib\Store\EntityLinkTargetEntityIdLookup->getEntityId(Title)
  #1 /srv/mediawiki/php-1.35.0-wmf.36/extensions/Wikibase/repo/includes/Hooks/HtmlPageLinkRendererEndHookHandler.php(161): Wikibase\Repo\Hooks\HtmlPageLinkRendererEndHookHandler->doHtmlPageLinkRendererEnd(MediaWiki\Linker\LinkRenderer, Title, HtmlArmor, array, RequestContext, NULL)
  #2 /srv/mediawiki/php-1.35.0-wmf.36/includes/HookContainer/HookContainer.php(319): Wikibase\Repo\Hooks\HtmlPageLinkRendererEndHookHandler::onHtmlPageLinkRendererEnd(MediaWiki\Linker\LinkRenderer, Title, boolean, HtmlArmor, array, NULL)
  #3 /srv/mediawiki/php-1.35.0-wmf.36/includes/HookContainer/HookContainer.php(131): MediaWiki\HookContainer\HookContainer->callLegacyHook(string, array, array, array)
  #4 /srv/mediawiki/php-1.35.0-wmf.36/includes/HookContainer/HookRunner.php(2035): MediaWiki\HookContainer\HookContainer->run(string, array)
  #5 /srv/mediawiki/php-1.35.0-wmf.36/includes/linker/LinkRenderer.php(396): MediaWiki\HookContainer\HookRunner->onHtmlPageLinkRendererEnd(MediaWiki\Linker\LinkRenderer, Title, boolean, HtmlArmor, array, NULL)
  #6 /srv/mediawiki/php-1.35.0-wmf.36/includes/linker/LinkRenderer.php(381): MediaWiki\Linker\LinkRenderer->buildAElement(Title, HtmlArmor, array, boolean)
  #7 /srv/mediawiki/php-1.35.0-wmf.36/includes/parser/LinkHolderArray.php(303): MediaWiki\Linker\LinkRenderer->makeBrokenLink(Title, HtmlArmor, array, array)
  #8 /srv/mediawiki/php-1.35.0-wmf.36/includes/parser/LinkHolderArray.php(178): LinkHolderArray->replaceInternal(string)
  #9 /srv/mediawiki/php-1.35.0-wmf.36/includes/parser/Parser.php(4907): LinkHolderArray->replace(string)
  #10 /srv/mediawiki/php-1.35.0-wmf.36/includes/parser/Parser.php(1656): Parser->replaceLinkHoldersPrivate(string)
  #11 /srv/mediawiki/php-1.35.0-wmf.36/includes/parser/Parser.php(651): Parser->internalParseHalfParsed(string, boolean, boolean)
  #12 /srv/mediawiki/php-1.35.0-wmf.36/includes/OutputPage.php(2114): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL)
  #13 /srv/mediawiki/php-1.35.0-wmf.36/includes/OutputPage.php(1863): OutputPage->parseInternal(string, Title, boolean, boolean)
  #14 /srv/mediawiki/php-1.35.0-wmf.36/includes/OutputPage.php(1794): OutputPage->addWikiTextTitleInternal(string, Title, boolean, boolean)
  #15 /srv/mediawiki/php-1.35.0-wmf.36/includes/OutputPage.php(4094): OutputPage->addWikiTextAsInterface(string)
  #16 /srv/mediawiki/php-1.35.0-wmf.36/includes/specials/SpecialSearch.php(575): OutputPage->wrapWikiMsg(string, array)
  #17 /srv/mediawiki/php-1.35.0-wmf.36/includes/specials/SpecialSearch.php(453): SpecialSearch->showCreateLink(Title, integer, NULL, class@anonymous/srv/mediawiki/php-1.35.0-wmf.36/extensions/CirrusSearch/includes/Search/FullTextResultsType.php0x7f9fdfa3bd30)
  #18 /srv/mediawiki/php-1.35.0-wmf.36/includes/specials/SpecialSearch.php(179): SpecialSearch->showResults(string)
  #19 /srv/mediawiki/php-1.35.0-wmf.36/includes/specialpage/SpecialPage.php(580): SpecialSearch->execute(NULL)
  #20 /srv/mediawiki/php-1.35.0-wmf.36/includes/specialpage/SpecialPageFactory.php(634): SpecialPage->run(NULL)
  #21 /srv/mediawiki/php-1.35.0-wmf.36/includes/MediaWiki.php(307): MediaWiki\SpecialPage\SpecialPageFactory->executePath(Title, RequestContext)
  #22 /srv/mediawiki/php-1.35.0-wmf.36/includes/MediaWiki.php(986): MediaWiki->performRequest()
  #23 /srv/mediawiki/php-1.35.0-wmf.36/includes/MediaWiki.php(543): MediaWiki->main()
  #24 /srv/mediawiki/php-1.35.0-wmf.36/index.php(47): MediaWiki->run()
  #25 /srv/mediawiki/w/index.php(3): require(string)
  #26 {main}

The above exception is reproducible by going to the URL from the log entry, or by searching Commons for p77489.

This will have all the necessary attention today. Guess we'll have a plan on how to approach this after the daily at 09:15 UTC

Addshore claimed this task.Jun 11 2020, 8:29 AM
Restricted Application added a project: User-Addshore. · View Herald TranscriptJun 11 2020, 8:29 AM

Change 604624 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Fix entity id lookup for interwiki special page links

https://gerrit.wikimedia.org/r/604624

Addshore lowered the priority of this task from Unbreak Now! to High.Jun 11 2020, 9:24 AM

Demoting to high and removing as a train blocker now that we understand this a bit more.
This only happens on repos, and will also only really happen on commons.
As no one has deemed it too severe to rollback, it shouldn't block the train, but should be fixed asap.

Addshore renamed this task from RuntimeException when trying to view history of [[c:Template talk:Wikidata Infobox]] to EntityLinkTargetEntityIdLookup RuntimeException when rendering links for wikidata items on commons using interwiki links.Jun 11 2020, 9:24 AM
Addshore updated the task description. (Show Details)
Addshore moved this task from incoming to in progress on the Wikidata board.Jun 11 2020, 10:11 AM
Addshore added a comment.EditedJun 11 2020, 2:33 PM

Had a quick call with @Jakob_WMDE to iron out the last few apparent issues, and we should have a patch together but the end of the day.
T205268: Many services in GenericServices are not actually that generic. has it's hand in this issue.

On commons as link such as [[M123]] is a valid link to a media info entity, so it goes through this hook rendering stuff.
However, a namespace check occurs, which is grabbed from GenericServices where NS0 is registered as the namespace for item entities (all be it on a different repo)
Hence we reach our error case.
T205268 should be tackled to remove any of these services that are not actually generic.

The other case that was missed and will be patched is interwiki prefixes in links, that were not tested or accounted for.

Staring at this code further raises the question, do we want to allow links such as [[Q123]] [[P123]] [[M123]] in wikitext on commons to relate to wikibase entities?
This is probably not something that was originally specified very well in StructuredDataOnCommons and should be decided upon.

On commons as link such as [[M123]] is a valid link to a media info entity, so it goes through this hook rendering stuff.

Does this mean that one cannot link to https://commons.wikimedia.org/wiki/M123 (a valid gallery title)? If it does, we should get rid of it ASAP. On Wikidata, the main namespace contains only Qxxx titles, but this is quite not the case on Commons. I can imagine an institution like a gallery that has a such name, and we should be able to create a gallery about it and should be able to link to that gallery using no special syntax.

Staring at this code further raises the question, do we want to allow links such as [[Q123]] [[P123]] [[M123]] in wikitext on commons to relate to wikibase entities?

Definitely no, see above.

Yup, thanks!
Indeed it makes no sense to have [[Q123]] [[P123]] [[M123]] work on commons, or even on wikidata (unless the namespace matches). We went down the wrong path there a bit.
So out of those Q123 on wikidata is the only thing that ever makes sense to link, which is ns0 and all okay :).

On commons the way to link to entities with the formatted label attached in edit summaries etc would be using the special page, which is already what happens in edit summaries.
Then on wikidata, things such as Property:P123 are used (rather than the special page).

Change 604845 had a related patch set uploaded (by Addshore; owner: Jakob):
[mediawiki/extensions/Wikibase@wmf/1.35.0-wmf.36] Fix entity id lookup for interwiki special page links

https://gerrit.wikimedia.org/r/604845

Addshore updated the task description. (Show Details)Jun 11 2020, 7:32 PM
Krinkle renamed this task from EntityLinkTargetEntityIdLookup RuntimeException when rendering links for wikidata items on commons using interwiki links to Fatal "Managed to lookup EntityId but got an unexpected type for namespace" from Wikibase EntityLinkTargetEntityIdLookup.Jun 11 2020, 7:51 PM

Change 604624 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Fix entity id lookup for interwiki special page links

https://gerrit.wikimedia.org/r/604624

Krinkle removed projects: Regression
Krinkle renamed this task from EntityLinkTargetEntityIdLookup RuntimeException when rendering links for wikidata items on commons using interwiki links to Fatal "Managed to lookup EntityId but got an unexpected type for namespace" from Wikibase EntityLinkTargetEntityIdLookup.

Just noting that this is also a regression which can be seen in edit summaries and is also fixed in this ticket.

Change 604845 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.35.0-wmf.36] Fix entity id lookup for interwiki special page links

https://gerrit.wikimedia.org/r/604845

Krinkle removed projects: Regression
Krinkle renamed this task from EntityLinkTargetEntityIdLookup RuntimeException when rendering links for wikidata items on commons using interwiki links to Fatal "Managed to lookup EntityId but got an unexpected type for namespace" from Wikibase EntityLinkTargetEntityIdLookup.

Just noting that this is also a regression which can be seen in edit summaries and is also fixed in this ticket.

After applying the patch:

Mentioned in SAL (#wikimedia-operations) [2020-06-11T23:54:12Z] <ladsgroup@deploy1001> Synchronized php-1.35.0-wmf.36/extensions/Wikibase: [[gerrit:604845|Fix entity id lookup for interwiki special page links (T255078)]] (duration: 00m 38s)

Makes the page history inaccessible (at least logged in; logged-out access seems to work).

Interesting, when logged in for me it seems to work fine

Eureka! I just realized what was the difference between logged-in and logged-out for me: my personal default of history page size is 500 entries, while the site-wide default is 50. The edit summary causing the error is currently #133, so it was not on the first page with the default page size, but it was with my page size of 500…

Addshore closed this task as Resolved.Jun 12 2020, 9:14 AM